INTERFACE
SUBROUTINE CASTAS(KPROMA,KNBPT,KTASK,PSLN,PSP_SB,PSP_RR,PSD_VF,PESIG,PCAGUE,PGELAT,PGELAM)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE SURFACE_FIELDS_MIX, ONLY : YSP_RRD, YSP_RR, YSP_SBD, YSP_SB, YSD_VFD, YSD_VF
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPT
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
REAL(KIND=JPRB) ,INTENT(IN) :: PSLN(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(KPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSP_SB(KPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSD_VF(KPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PESIG(2*NFLEVG+5,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAGUE(2,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KNBPT)
END SUBROUTINE CASTAS
END INTERFACE
